Package com.independentsoft.office.odf.styles

# Class NumberTextStyle

java.lang.Object
com.independentsoft.office.odf.styles.Style
com.independentsoft.office.odf.styles.NumberTextStyle

public class NumberTextStyle extends Style
Represents a style for displaying text.

- ## Field Summary

  ### Fields inherited from class com.independentsoft.office.odf.styles.Style

  `displayName, name`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NumberTextStyle()`
  Initializes a new instance of the NumberTextStyle class.
  `NumberTextStyle​(String name)`
  Initializes a new instance of the NumberTextStyle class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NumberTextStyle`
  `clone()`
  Creates a new object that is a deep copy of the current instance.
  `String`
  `getCountry()`
  Gets the country code for a data style.
  `String`
  `getLanguage()`
  Gets the language code.
  `Number`
  `getNumber()`
  Gets the display formatting properties for a decimal number.
  `List<StyleMapping>`
  `getStyleMappings()`
  Contains a collection of StyleMapping objects.
  `String`
  `getText()`
  Contains any fixed text for a data style.
  `String`
  `getTextContent()`
  Contains any variable text content of a text style.
  `TextProperties`
  `getTextProperties()`
  Specifies formatting properties for text.
  `String`
  `getTitle()`
  Gets the title of a data style.
  `String`
  `getTransliterationCountry()`
  Gets the country code in conformance with [RFC5646].
  `String`
  `getTransliterationFormat()`
  Specifies which number characters to use.
  `String`
  `getTransliterationLanguage()`
  Gets the language code in conformance with [RFC5646].
  `TransliterationStyle`
  `getTransliterationStyle()`
  Gets the transliteration-format of a number system.
  `boolean`
  `isVolatile()`
  Specifies whether unused style in a document are retained or discarded by consumers.
  `void`
  `setCountry​(String country)`
  Sets the country code for a data style.
  `void`
  `setLanguage​(String language)`
  Sets the language code.
  `void`
  `setNumber​(Number number)`
  Sets the display formatting properties for a decimal number.
  `void`
  `setText​(String text)`
  Contains any fixed text for a data style.
  `void`
  `setTextContent​(String textContent)`
  Contains any variable text content of a text style.
  `void`
  `setTitle​(String title)`
  Sets the title of a data style.
  `void`
  `setTransliterationCountry​(String transliterationCountry)`
  Sets the country code in conformance with [RFC5646].
  `void`
  `setTransliterationFormat​(String transliterationFormat)`
  Specifies which number characters to use.
  `void`
  `setTransliterationLanguage​(String transliterationLanguage)`
  Sets the language code in conformance with [RFC5646].
  `void`
  `setTransliterationStyle​(TransliterationStyle transliterationStyle)`
  Sets the transliteration-format of a number system.
  `void`
  `setVolatile​(boolean isVolatile)`
  Specifies whether unused style in a document are retained or discarded by consumers.
  `String`
  `toString()`
  Converts the value of the current NumberTextStyle object to its equivalent string representation.

  ### Methods inherited from class com.independentsoft.office.odf.styles.Style

  `getDisplayName, getName, setDisplayName, setName`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### NumberTextStyle

    public NumberTextStyle()
    Initializes a new instance of the NumberTextStyle class.

  - ### NumberTextStyle

    public NumberTextStyle​(String name)
    Initializes a new instance of the NumberTextStyle class.
    Parameters:
      `name` - the name

- ## Method Details

  - ### clone

    public NumberTextStyle clone()
    Creates a new object that is a deep copy of the current instance.
    Specified by:
      `clone` in class `Style`
    Returns:
      A new object that is a copy of this instance.

  - ### toString

    public String toString()
    Converts the value of the current NumberTextStyle object to its equivalent string representation.
    Overrides:
      `toString` in class `Object`
    Returns:
      the string

  - ### getLanguage

    public String getLanguage()
    Gets the language code.
    Returns:
      the language

  - ### setLanguage

    public void setLanguage​(String language)
    Sets the language code.
    Parameters:
      `language` - the new language

  - ### getCountry

    public String getCountry()
    Gets the country code for a data style.
    Returns:
      the country

  - ### setCountry

    public void setCountry​(String country)
    Sets the country code for a data style.
    Parameters:
      `country` - the new country

  - ### getTitle

    public String getTitle()
    Gets the title of a data style.
    Returns:
      the title

  - ### setTitle

    public void setTitle​(String title)
    Sets the title of a data style.
    Parameters:
      `title` - the new title

  - ### isVolatile

    public boolean isVolatile()
    Specifies whether unused style in a document are retained or discarded by consumers.
    Returns:
      true, if is volatile

  - ### setVolatile

    public void setVolatile​(boolean isVolatile)
    Specifies whether unused style in a document are retained or discarded by consumers.
    Parameters:
      `isVolatile` - the new volatile

  - ### getTransliterationFormat

    public String getTransliterationFormat()
    Specifies which number characters to use.
    Returns:
      the transliteration format

  - ### setTransliterationFormat

    public void setTransliterationFormat​(String transliterationFormat)
    Specifies which number characters to use.
    Parameters:
      `transliterationFormat` - the new transliteration format

  - ### getTransliterationLanguage

    public String getTransliterationLanguage()
    Gets the language code in conformance with [RFC5646].
    Returns:
      the transliteration language

  - ### setTransliterationLanguage

    public void setTransliterationLanguage​(String transliterationLanguage)
    Sets the language code in conformance with [RFC5646].
    Parameters:
      `transliterationLanguage` - the new transliteration language

  - ### getTransliterationCountry

    public String getTransliterationCountry()
    Gets the country code in conformance with [RFC5646].
    Returns:
      the transliteration country

  - ### setTransliterationCountry

    public void setTransliterationCountry​(String transliterationCountry)
    Sets the country code in conformance with [RFC5646].
    Parameters:
      `transliterationCountry` - the new transliteration country

  - ### getTransliterationStyle

    public TransliterationStyle getTransliterationStyle()
    Gets the transliteration-format of a number system.
    Returns:
      the transliteration style

  - ### setTransliterationStyle

    public void setTransliterationStyle​(TransliterationStyle transliterationStyle)
    Sets the transliteration-format of a number system.
    Parameters:
      `transliterationStyle` - the new transliteration style

  - ### getTextProperties

    public TextProperties getTextProperties()
    Specifies formatting properties for text.
    Returns:
      the text properties

  - ### getNumber

    public Number getNumber()
    Gets the display formatting properties for a decimal number.
    Returns:
      the number

  - ### setNumber

    public void setNumber​(Number number)
    Sets the display formatting properties for a decimal number.
    Parameters:
      `number` - the new number

  - ### getText

    public String getText()
    Contains any fixed text for a data style.
    Returns:
      the text

  - ### setText

    public void setText​(String text)
    Contains any fixed text for a data style.
    Parameters:
      `text` - the new text

  - ### getTextContent

    public String getTextContent()
    Contains any variable text content of a text style.
    Returns:
      the text content

  - ### setTextContent

    public void setTextContent​(String textContent)
    Contains any variable text content of a text style.
    Parameters:
      `textContent` - the new text content

  - ### getStyleMappings

    public List<StyleMapping> getStyleMappings()
    Contains a collection of StyleMapping objects.
    Returns:
      the style mappings